HGL-3.2.0.2: A simple graphics library based on X11 or Win32

Portability | non-portable (requires concurrency)
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | None

Graphics.HGL.Run

Description

Running graphical actions.

Synopsis

- runGraphics :: IO () -> IO ()

# Documentation

runGraphics :: IO () -> IO ()Source

Initialize the system to do graphics, run an action while collecting user interface events and forwarding them to the action, and then clean up everything else at the end. The other functions of the library may only be used inside `runGraphics`.